package com.agilecontrol.nea.core.control.web;

import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;

public final class Test {

   public String getLocalIPs() throws Exception {
      List li = getLocalInterfacesAddresses();
      StringBuilder sb = new StringBuilder();
      Iterator var3 = li.iterator();

      while(var3.hasNext()) {
         InetAddress ia = (InetAddress)var3.next();
         sb.append(ia.getHostAddress()).append(",");
      }

      if(sb.length() > 0) {
         sb.deleteCharAt(sb.length() - 1);
      }

      return sb.toString();
   }

   public static String getMacAddrs() throws Exception {
      List li = getLocalInterfacesAddresses();
      ArrayList macs = new ArrayList();
      Iterator var2 = li.iterator();

      while(var2.hasNext()) {
         InetAddress address = (InetAddress)var2.next();
         StringBuilder macAddr = new StringBuilder();
         NetworkInterface ni = NetworkInterface.getByInetAddress(address);
         if(ni != null) {
            byte[] mac = ni.getHardwareAddress();
            if(mac != null) {
               for(int i = 0; i < mac.length; ++i) {
                  macAddr.append(String.format("%02X%s", new Object[]{Byte.valueOf(mac[i]), i < mac.length - 1?"-":""}));
               }

               macs.add(macAddr.toString());
            }
         }
      }

      return "";
   }

   public static void main(String[] args) throws Exception {
      Enumeration nwIfs = NetworkInterface.getNetworkInterfaces();
      Iterator var2 = Collections.list(nwIfs).iterator();

      while(var2.hasNext()) {
         NetworkInterface nwIf = (NetworkInterface)var2.next();
         System.out.println("================================");
         System.out.println("Interface = " + nwIf);
         System.out.println("Interface is Up =" + nwIf.isUp());
         System.out.println("Interface is virtual =" + nwIf.isVirtual());
         System.out.println("Interface MTU =" + nwIf.getMTU());
         System.out.println("Interface parent =" + nwIf.getParent());
         System.out.println("Interface is loopback =" + nwIf.isLoopback());
         System.out.println("Interface is point to point =" + nwIf.isPointToPoint());
         System.out.println("Interface support Muticast =" + nwIf.supportsMulticast());
      }

   }

   private static List getLocalInterfacesAddresses() throws SocketException {
      ArrayList addrList = new ArrayList();
      Enumeration interfaces = null;

      try {
         interfaces = NetworkInterface.getNetworkInterfaces();
      } catch (SocketException var7) {
         var7.printStackTrace();
      }

      InetAddress localhost = null;

      try {
         localhost = InetAddress.getByName("127.0.0.1");
      } catch (UnknownHostException var6) {
         var6.printStackTrace();
      }

      while(interfaces.hasMoreElements()) {
         NetworkInterface ifc = (NetworkInterface)interfaces.nextElement();
         System.out.println("find interface:" + ifc + ", is up=" + ifc.isUp());
         if(ifc.isUp()) {
            Enumeration addressesOfAnInterface = ifc.getInetAddresses();

            while(addressesOfAnInterface.hasMoreElements()) {
               InetAddress address = (InetAddress)addressesOfAnInterface.nextElement();
               System.out.println("find address:" + address + ", ip:" + address.getHostAddress());
               if(!address.equals(localhost) && !address.toString().contains(":")) {
                  addrList.add(address);
               }
            }
         }
      }

      return addrList;
   }
}
